Page MenuHomePhabricator

Make templates of Babel extension categorize only in user spaces
Closed, ResolvedPublic

Description

Can the templates of Babel extension categorize only in user spaces? (ns:2 or ns:3). See, i.e. https://es.wikipedia.org/wiki/Wikipedia:Babel

Details

Reference
bz67334

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:39 AM
bzimport set Reference to bz67334.

Is that a question whether it is already possible to do that, or a question for enhancement to support this functionality in the future?
And what's the usecase?

This is an request to prevent pages that have a template as an example appear in the category. That happens at this moment and it is wrong.

Change 168745 had a related patch set uploaded by Ricordisamoa:
introduce the $wgBabelCategorizeNamespaces config variable

https://gerrit.wikimedia.org/r/168745

Change 168745 had a related patch set uploaded (by Ricordisamoa):
Introduce the $wgBabelCategorizeNamespaces config variable

https://gerrit.wikimedia.org/r/168745

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2016, 1:42 PM
Bultro added a subscriber: Bultro.

Change 168745 merged by jenkins-bot:
Introduce the $wgBabelCategorizeNamespaces config variable

https://gerrit.wikimedia.org/r/168745

Nikerabbit closed this task as Resolved.Sep 23 2016, 10:55 AM
Nikerabbit removed a project: Patch-For-Review.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a subscriber: Nikerabbit.

Will take a couple of weeks before the configuration variable is deployed to WMF sites. Then it is up to the communities to request it, unless we want to set global default for only user namespace.

Global default to ns2 only makes sense. Communities would request to set it anyway; I doubt anyone would request to unset it!

That should have a separate task to request WMF configuration change.

-jem- added a subscriber: -jem-.Oct 25 2016, 12:29 PM